Crash 854d2ed5e61bf3647f46bb17bb41958c97c4f58d

Bug #1449394 reported by Michael Vogt on 2015-04-28
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned
Precise
High
Unassigned
Trusty
Medium
Unassigned

Bug Description

[Impact]The apt version 1.0.1ubuntu2.7 from trusty-proposed has a regression for some users:

"""
 ConfigValueInSubTree → pkgDepCache → → MarkInstall → pkgDepCache → → MarkInstall → pkgDepCache → → MarkInstall → doAutoInstall:

#0 __strcmp_ssse3 () at ../sysdeps/i386/i686/multiarch/strcmp-ssse3.S:241
No locals.
#1 0xb7656e25 in ConfigValueInSubTree (SubTree=SubTree@entry=0xb771edc3 "APT::Never-MarkAuto-Sections", needle=0x0) at depcache.cc:59
        Opts = 0x99bec98
#2 0xb765d3d6 in pkgDepCache::MarkInstall (this=0x99c1738, Pkg=..., AutoInst=AutoInst@entry=true, Depth=2, FromUser=FromUser@entry=false, ForceImportantDeps=false) at depcache.cc:1228
"""

Errors Bucket
-------------
https://errors.ubuntu.com/problem/854d2ed5e61bf3647f46bb17bb41958c97c4f58d

[Test Case]
Install deb package that has no section in instVersion, see if program crashes.

[Regression Potential]
Adds an additional check to if statement to ensure InstVer->Section != 0.

Michael Vogt (mvo) wrote :

Small patch to fix the crash.

Changed in apt (Ubuntu):
status: New → Fix Released
Changed in apt (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium

Hello Michael, or anyone else affected,

Accepted apt into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/apt/1.0.1ubuntu2.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in apt (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: trusty
description: updated
Michael Vogt (mvo) on 2015-05-20
Changed in apt (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
Andreas Hasenack (ahasenack) wrote :

How can I create a package that can be used for the test case?

Adam Conrad (adconrad) wrote :

Hello Michael, or anyone else affected,

Accepted apt into precise-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apt/0.8.16~exp12ubuntu10.24 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apt (Ubuntu Precise):
status: In Progress → Fix Committed
Andreas Hasenack (ahasenack) wrote :

I can confirm that the 0.8.16~exp12ubuntu10.24 packages from precise-proposed fix the problem. I have a customer case where apt-get was segfaulting, and by extension, landscape-client (which uses the apt library) was too.

After installing the update, the segfaults stopped and the wedged activities in landscape completed successfully.

Bryan Quigley (bryanquigley) wrote :

Customer Confirmed fixed in both 12.04 and 14.04.

tags: added: verification-done
removed: verification-needed
Michael Vogt (mvo) wrote :

Thanks a lot Andreas for the verification!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 1.0.1ubuntu2.8

---------------
apt (1.0.1ubuntu2.8) trusty-proposed; urgency=low

  * fix crash for packages that have no section in their instVersion
    (LP: #1449394)

 -- Michael Vogt <email address hidden> Tue, 28 Apr 2015 09:00:52 +0200

Changed in apt (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for apt has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.16~exp12ubuntu10.24

---------------
apt (0.8.16~exp12ubuntu10.24) precise-proposed; urgency=low

  * fix crash for packages that have no section in their instVersion
    (LP: #1449394)

 -- Michael Vogt <email address hidden> Wed, 20 May 2015 16:30:36 +0200

Changed in apt (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers